Subject: [PATCH v4 0/7] Add TI EMIF SDRAM controller driver

From: [email-masked] (Santosh Shilimkar)
Date: Thu, 12 Apr 2012 12:17:49 +0530

On Thursday 12 April 2012 08:30 AM, Greg KH wrote:
> On Wed, Apr 11, 2012 at 08:44:39PM -0600, Paul Walmsley wrote:
>> Cc Mark Greer, Mark Salter
>>
>> Hi Greg, Aneesh,
>>
>> On Sat, 17 Mar 2012, Aneesh V wrote:
>>
>>> Add a driver for the EMIF SDRAM controller used in TI SoCs
>>>
>>> EMIF is an SDRAM controller that supports, based on its revision,
>>> one or more of LPDDR2/DDR2/DDR3 protocols.This driver adds support
>>> for LPDDR2.
>>
>> Just checking to see what the current state of this series is.  Greg, are 
>> you considering this for merging, or are there remaining issues?  Aneesh, 
>> do you have any remaining issues to resolve with this set?
> 
> What about the review comment about devfreq?
>
Devfreq is not suitable for this driver. I already replied on this
thread [1]

Acting on frequency change is just one function of the controller
driver and that too need not bed to attached with devfreq. The driver
has features like temperature handling as per JDEC specs, active power
managements modes, system wide suspend power management like self
refresh and also configuration which can help memory hotplug for
power savings and initialising the DDR timings to avoid boot-loader
defaults.The controller IP works in conjunction with PRCM (OMAP Power
IP) block to achieve some of this functionality.

I was hoping that we will have some thing like drivers/memory/*
but since it doesn't exist, we used drivers/misc.

Regards
Santosh
[1] https://lkml.org/lkml/2012/3/19/178

>> This is useful not only for OMAP4 and AM3517/3505, but also will probably 
>> be useful for the C6x chips that Mark Salter is working on.
> 
> It's still in my "to-review" queue, that I'm slowly making my way
> through.  So it's not lost, but I would like to get the devfreq
> interface question cleared up first.
> 
Let us know if you need more clarification on devfreq part.
Thanks for looking into it.

Regards
Santosh